Index: inc/admin/actions/class.dcaction.php
===================================================================
--- inc/admin/actions/class.dcaction.php	(revision 2072)
+++ inc/admin/actions/class.dcaction.php	(revision 2169)
@@ -225,5 +225,5 @@
      * @return string the redirection url
      */
-	public function getRedirection($params=array(),$with_selected_entries=false) {
+	public function getRedirection($with_selected_entries=false,$params=array()) {
 		$redir_args = array_merge($params,$this->redir_args);
 		if ($with_selected_entries) {
@@ -240,6 +240,6 @@
      * @access public
      */
-	public function redirect($params=array(),$with_selected_entries=false) {
-		http::redirect($this->getRedirection($params,$with_selected_entries));
+	public function redirect($with_selected_entries=false,$params=array()) {
+		http::redirect($this->getRedirection($with_selected_entries,$params));
 		exit;
 	}	
Index: inc/admin/actions/class.dcactioncomments.php
===================================================================
--- inc/admin/actions/class.dcactioncomments.php	(revision 2166)
+++ inc/admin/actions/class.dcactioncomments.php	(revision 2169)
@@ -46,5 +46,5 @@
 
 		}
-		echo '<p><a class="back" href="'.$this->getRedirection(array(),true).'">'.__('Back to comments list').'</a></p>';
+		echo '<p><a class="back" href="'.$this->getRedirection(true).'">'.__('Back to comments list').'</a></p>';
 	}
 	
@@ -149,5 +149,5 @@
 		
 		$core->blog->updCommentsStatus($co_ids,$status);
-		$ap->redirect(array('upd'=>1),true);
+		$ap->redirect(true,array('upd'=>1));
 	}
 
@@ -168,5 +168,5 @@
 		
 		$core->blog->delComments($co_ids);
-		$ap->redirect(array('del'=>1), false);
+		$ap->redirect(false,array('del'=>1));
 	}
 }
Index: inc/admin/actions/class.dcactionposts.php
===================================================================
--- inc/admin/actions/class.dcactionposts.php	(revision 2166)
+++ inc/admin/actions/class.dcactionposts.php	(revision 2169)
@@ -44,5 +44,5 @@
 			);
 		}
-		echo '<p><a class="back" href="'.$this->getRedirection(array(),true).'">'.__('Back to entries list').'</a></p>';
+		echo '<p><a class="back" href="'.$this->getRedirection(true).'">'.__('Back to entries list').'</a></p>';
 	}
 	
@@ -60,5 +60,5 @@
 			array(
 				html::escapeHTML($this->core->blog->name) => '',
-				$this->getCallerTitle() => $this->getRedirection(array(),true),
+				$this->getCallerTitle() => $this->getRedirection(true),
 				__('Entries actions') => ''
 			))
@@ -160,5 +160,5 @@
 		$core->blog->updPostsStatus($posts_ids,$status);
 		
-		$ap->redirect(array('upd' => 1),true);
+		$ap->redirect(true,array('upd' => 1));
 	}
 	
@@ -171,5 +171,5 @@
 		$core->blog->updPostsSelected($posts_ids,$action == 'selected');
 		
-		$ap->redirect(array('upd' => 1),true);
+		$ap->redirect(true,array('upd' => 1));
 	}
 	
@@ -192,5 +192,5 @@
 		$core->blog->delPosts($posts_ids);
 		
-		$ap->redirect(array('del',1),false);
+		$ap->redirect(false,array('del',1));
 	}
 
@@ -221,5 +221,5 @@
 			$core->blog->updPostsCategory($posts_ids, $new_cat_id);
 			
-			$ap->redirect(array('upd'=>1),true);
+			$ap->redirect(true,array('upd'=>1));
 		} else {
 
@@ -228,5 +228,5 @@
 					array(
 						html::escapeHTML($core->blog->name) => '',
-						$ap->getCallerTitle() => $ap->getRedirection(array(),true),
+						$ap->getCallerTitle() => $ap->getRedirection(true),
 						__('Change category for this selection') => ''
 			)));
@@ -280,5 +280,5 @@
 			$cur->update('WHERE post_id '.$core->con->in($posts_ids));
 			
-			$ap->redirect(array('upd' => 1),true);
+			$ap->redirect(true,array('upd' => 1));
 		} else {
 			$usersList = '';
@@ -298,5 +298,5 @@
 					array(
 						html::escapeHTML($core->blog->name) => '',
-						$ap->getCallerTitle() => $ap->getRedirection(array(),true),
+						$ap->getCallerTitle() => $ap->getRedirection(true),
 						__('Change author for this selection') => '')),
 					dcPage::jsLoad('js/jquery/jquery.autocomplete.js').
@@ -333,5 +333,5 @@
 			$cur->update('WHERE post_id '.$core->con->in($posts_ids));
 			
-			$ap->redirect(array('upd' => 1),true);
+			$ap->redirect(true,array('upd' => 1));
 		} else {
 			$ap->beginPage(
@@ -339,5 +339,5 @@
 					array(
 						html::escapeHTML($core->blog->name) => '',
-						$ap->getCallerTitle() => $ap->getRedirection(array(),true),
+						$ap->getCallerTitle() => $ap->getRedirection(true),
 						_('Change language for this selection') => ''
 			)));
